Skip to content
Start here

Update a sinkhole

client.Intel.Sinkholes.Update(ctx, sinkholeID, params) (*SinkholeUpdateResponse, error)
PUT/accounts/{account_id}/intel/sinkholes/{sinkhole_id}

Update the name or R2 configuration of the specified sinkhole.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
sinkholeID string
params SinkholeUpdateParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
Name param.Field[string]

Body param: The name of the sinkhole.

R2Bucket param.Field[string]Optional

Body param: The name of the R2 bucket to store results. Required if you want to store large request bodies in R2.

R2ID param.Field[string]Optional

Body param: The id of the R2 instance. Required if you want to store large request bodies in R2.

R2Secret param.Field[string]Optional

Body param: The secret key for the R2 API token. Required if you want to store large request bodies in R2.

ReturnsExpand Collapse
type SinkholeUpdateResponse interface{…}

Update a sinkhole

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/intel"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  sinkhole, err := client.Intel.Sinkholes.Update(
    context.TODO(),
    "93defa6e909e464e8c89a85859f36d3c",
    intel.SinkholeUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      Name: cloudflare.F("name"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", sinkhole)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}